/* 一亿游艇-三亚一亿游艇俱乐部官网 */
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  /* font-family: "French Script MT", sans-serif; */
  font-family: "微软雅黑", sans-serif;
}

header {
  z-index: 999;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 57px;
  transition: 0.5s ease;
}

header .brand {
  color: #fff;
  font-size: 1.6em;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
  padding-left: 50px;
}

header .navigation {
  position: relative;
}

header .navigation-items a {
  position: relative;
  color: #fff;
  font-size: 1em;
  font-weight: 500;
  text-decoration: none;
  margin-left: 30px;
  transition: 0.3s ease;
}

/* 下面展开的 导航需要也设置一下底边  */
header .navigation .navigation-items a::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: #fff;
  width: 0%;
  /* w为0，hover出来↑，↓3px的下边框 */
  height: 3px;
  transition: 0.3s ease;
  bottom: -0.4em;
}


header .navigation .navigation-items a:hover::before {
  width: 100%;
  /* height: 5px; */
}


/* 左右按钮 */
.prev,
.next {
  width: 20px;
  height: 20px;
}

/* 中心文字介绍部分 */
section {
  /* padding: 100px 200px; */
  padding-left: 100px;
  transition: 0.4s ease;
}

.home {
  position: relative;
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  flex-direction: column;
  background-color: #2696E9;
}



.home .content {
  z-index: 1;
  color: #fff;
  width: 70%;
  margin-top: 50px;
  display: none;
  /* 写了5个页面,关闭内容用active开启 */
}

.home .content.active {
  display: block;
}



.home .content h1 {
  font-size: 4rem;
  font-weight: 900;
  text-transform: uppercase;
  letter-spacing: 5px;
  line-height: 75px;
  margin-bottom: 40px;
}

.home .content h1 span {
  font-size: 1.2em;
  font-weight: 600;
}


.home .content p {
  margin-bottom: 65px;
}

.home .content a {
  background: #fff;
  padding: 15px 35px;
  color: #1680ac;
  font-size: 1.1em;
  font-weight: 500;
  text-decoration: none;
  border-radius: 2px;
}


.home .media-icons {
  z-index: 1;
  position: absolute;
  right: 30px;
  display: flex;
  /* 文本行堆叠的方向 */
  flex-direction: column;
  transition: 0.5s ease;
  /* justify-content: space-between; */
  /* gap:20px */
  right: 40px;
}


.home .media-icons i {
  color: #fff;
  font-size: 1.6em;
  transition: 0.3s ease;
}


/* .home .media-icons i:not(:last-child){ */
.home .media-icons i {
  margin-bottom: 25px;
  /* can 换到上面去 */
}


.home .media-icons i:hover {
  transform: scale(1.4);
}


.home video {
  /* 最底层，作背景,关键设置 */
  z-index: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.home::before {
  /* 底层0 的上一层添加蓝色滤镜 */
  z-index: 1;
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  /* background: rgba(50, 187, 68, 0.9); */
  /* 视频会影响,滤镜拉满到时候删除,注意动态过度颜色和这个一样,会以为是没有 */
  background: rgba(10, 96, 244, 0.3);
  width: 100%;
  height: 100%;
}

.footer {
  /* 弹性盒子左边有一块空的,导航点不能居中,强迫症直接绝对定位它到下面 */
  position: absolute;
  bottom: 10em;
  left: 0;
  width: 100%;

}

.slider-navigation {
  z-index: 10;
  position: relative;
  display: flex;
  justify-content: center;
  align-content: center;
  transform: translateY(7.5em);
  /* 120(I want) ÷ 16(font-size) = 7.5em*/
  margin-bottom: 12px;
}

.slider-navigation .nav-btn {
  width: 13px;
  height: 13px;
  background-color: #fff;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0 0 2px rgba(255, 255, 255, 0.6);
  transition: 0.21s ease;
}

/* 导航底部active高亮提示 */
.slider-navigation .nav-btn.active {
  background: #2696e9;
}



.slider-navigation .nav-btn:not(:last-child) {
  margin-right: 30px;
}

.slider-navigation .nav-btn:hover {
  transform: scale(1.31);
}


/* 背景切换 */
.video-slide {
  position: relative;
  width: 100%;
  clip-path: circle(0% at 0 58%);
  /*裁切圆形在这里中文站: https://www.jiangweishan.com/tool/clippy/ */
}

.video-slide.active {
  clip-path: circle(141.5% at 0 58%);
  transition: 1.2s ease;
  transition-property: clip-path;
}


footer {
	width: 100%;
	display: flex;
	justify-content: center;
	align-content: center;
  background-color: #dcdcdc;
}

footer a {
	margin: 19px 0;
	color: #868686;
	padding-left: 25px;
	padding-right: 13px;
	text-decoration: none;
	font-weight: 500;
	font-size: 13.5px;
	border-right: 1px solid #757575 ;
}

footer a:last-child {
	border-right: 0;
}


/* 响应式 */
@media (max-width:890px) {

  header {
    /* 控制台调试 得来 */
    padding: 17px 0.0em;
  }

  .menu-btn {
    padding-top: 10px;
    padding-right: 90px;
  }

  section {
    padding: 100px 40px;
  }

  .home .media-icons {
    right: 20px;
  }

  header .navigation {
    position: relative;
    display: none;
  }

  /* 中部 展开缩小的导航栏 */
  header .navigation.active {
    position: fixed;
    /* 全屏中间 */
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    display: flex;
    /* 居中 */
    justify-content: center;
    align-items: center;
    /* 背景暗下来突出导航部分 */
    background: rgba(5, 5, 5, 0.5);
  }

  .slider-navigation .nav-btn:not(:last-child) {
    margin-right: 22px;
  }


  header .navigation .navigation-items {
    background: #fff;
    width: 600px;
    max-width: 600px;
    margin: 20px;
    padding: 40px;
    display: flex;
    /* 切换主轴方向 */
    flex-direction: column;
    align-items: center;
    border-radius: 6px;
    box-shadow: 0, 6px 35px rgba(2, 2, 2, 0.2)
  }


  /* 给展开的 导航再设置a的样式，下底边也要重新设置，上面清除了 */
  header .navigation.active .navigation-items a {
    color: #222;
    font-size: 1.2em;
    margin: 20px;
  }

  header .navigation .navigation-items a::before {
    background-color: #222;
    /* font-size: 1.2em; */
    height: 5px;
    bottom: -0.4em;
  }


  /* 导航按钮 */
  header .menu-btn {
    background: url(./images/menu.png)no-repeat;
    background-size: 30px;
    background-position: center;
    width: 40px;
    height: 40px;
    cursor: pointer;
    transition: .26s ease;
    z-index: 999;
  }

  .menu-btn.active {
    background: url(./images/close.png) no-repeat;
    background-size: 40px;
    background-position: center;
  }


}

.logo {
  /* z-index: 9999; */
  /* color: #000; */
  width: 1em;
  height: 1em;
  background-image: url(./images/logo-w.png);
  background-size: cover;
  transform: scale(2.5);
}